# Strings (gearman_string_t)

## SYNOPSIS

#include <libgearman/gearman.h>

type gearman_string_t

size_t gearman_size(gearman_string_t)

const char *gearman_c_str(gearman_string_t)

Compile and link with -lgearman

## DESCRIPTION

The `gearman_string_t` is a simple type representing a "string". Once created `gearman_string_t` are not mutable once created. They only point to the strings that define them and require no deallocation.

## SEE ALSO

gearmand(8) libgearman(3)